org.deidentifier.arx.aggregates.classification

## Class ClassificationFeatureMetadata

- java.lang.Object
- - org.deidentifier.arx.aggregates.classification.ClassificationFeatureMetadata

    public class ClassificationFeatureMetadata
    extends java.lang.Object

Metadata about a single feature

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ClassificationFeatureMetadata(java.lang.String attribute, DataType<?> type, ARXFeatureScaling scaling, boolean isTypePreservingMicroaggregation)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Returns the name of the feature
`double` `getNumericValue(java.lang.String value)` Returns a scaled double representation, NaN if the value cannot be parsed or scaled
`boolean` `isNumeric()` Returns whether this is a numeric attribute
`boolean` `isNumericMicroaggregation()` Returns whether this attribute is numeric and microaggregated in a type preserving manner

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassificationFeatureMetadata

    public ClassificationFeatureMetadata(java.lang.String attribute,
                                         DataType<?> type,
                                         ARXFeatureScaling scaling,
                                         boolean isTypePreservingMicroaggregation)

Creates a new instance

Parameters:
  `attribute` -
  `type` -
  `scaling` -
  `isTypePreservingMicroaggregation` -

### Method Detail

#### getName

    public java.lang.String getName()

Returns the name of the feature

Returns:

#### isNumericMicroaggregation

    public boolean isNumericMicroaggregation()

Returns whether this attribute is numeric and microaggregated in a type preserving manner

Returns:

#### isNumeric

    public boolean isNumeric()

Returns whether this is a numeric attribute

Returns:

#### getNumericValue

    public double getNumericValue(java.lang.String value)

Returns a scaled double representation, NaN if the value cannot be parsed or scaled

Parameters:
  `value` -